package cn.com.qmth.examcloud.reports.commons.bean;

import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.web.reports.BaseReport;

/**
 * 在线数据报告
 *
 * @author WANGWEI
 * @date 2018年11月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OnlineReport extends BaseReport {

	private static final long serialVersionUID = 5568924655677443801L;

	/**
	 * 考试类型
	 */
	private String examType;

	/**
	 * 顶级机构
	 */
	private Long rootOrgId;

	/**
	 * 用户类型
	 */
	private UserType userType;

	/**
	 * 用户ID
	 */
	private Long userId;

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public UserType getUserType() {
		return userType;
	}

	public void setUserType(UserType userType) {
		this.userType = userType;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

}
